package silmar.sounds

import silmarengine.contexts.gameplay.areas.geometry.TileDistance
import silmarengine.sounds.Sound
import silmarengine.sounds.Sounds

object SilmarSounds {
    val disintegration = Sound("disintegration")
    val fireballBlast = Sound("fireballBlast", TileDistance(30))
    val lightning = Sound("lightning", TileDistance(20))
    val markLocation = Sound("markLocations")
    val flash = Sound("flash")
    val radiation = Sound("powerCircle", false)
    val radWave = Sound("radWave", TileDistance(25))
    val vacuumHole = Sound("vacuumHole", TileDistance(25), false)
    val dragonBreathed = Sound("dragonBreathed", TileDistance(25))
    val wallsClosing = Sound("wallsClosing", TileDistance(20), false)
    val wallsOpening = Sound("wallsOpening", false)
    val wallsShut = Sound("wallsShut", false)
    val waterAppears = Sound("waterAppears", false)
    val waterDisappears = Sound("waterDisappears", false)
    val doorAppears = Sound("doorAppears")
    val deathFog = Sound("deathFog")
    val vengefulSymbol = Sound("vengefulSymbol")
    val landMinePlaced = Sound("landMinePlaced")
    val trollBackToLife = Sound("trollBackToLife")
    val machineBreaks = Sound("machineBreaks")
    val exitAppears = Sound("exitAppears")
    val fire = Sounds.torchLit
    val superVision = Sound("superVision", false)
    val gremlin = Sound("gremlin", false)
    val ghost = Sound("ghost", false)
    val killerCorpse = Sound("killerCorpse", false)
    val guardianSword = Sound("guardianSword", false)
    val mirroredArmor = Sound("mirroredArmor", false)
    val slime = Sound("slime", false)
    val blob = Sound("blob", false)
    val sentryborg = Sound("sentryborg", false)
    val cetharg = Sound("cetharg", false)
    val mercenary = Sound("mercenary", false)
    val deathbot = Sound("deathbot", false)
    val mutivider = Sound("mutivider", false)
    val scumShamble = Sound("scumShamble", false)
    val atoman = Sound("atoman", false)
    val orc = Sound("orc", false)
    val ogre = Sound("ogre", false)
    val cyclops = Sound("cyclops", false)
    val redDragon = Sound("redDragon", false)
    val acidDragon = Sound("acidDragon", false)
    val warpDemon = Sound("warpDemon", false)
    val earthElemental = Sound("earthElemental", TileDistance(20), false)
    val giantWorm = Sound("giantWorm", TileDistance(20), false)
    val bat = Sound("bat", false)
    val slimeChucker = Sound("slimeChucker", false)
    val cannibal = Sound("cannibal", false)
    val gulp = Sound("gulp", false)
    val floatingSpheroid = Sound("floatingSpheroid", false)
    val robotGenerator = Sound("robotGenerator", false)
    val livingDeadWizard = Sound("livingDeadWizard", false)
    val livingDeadWizard2 = Sound("livingDeadWizard2", false)
    val title = Sound("title", false)
    val alarm = Sound("alarm", TileDistance(20))
    val bionicStrength = Sound("bionicStrength", false)
    val senseCreatures = Sound("senseCreatures", false)
    val medicalRobot = Sound("medicalRobot", false)
    val modernDoorOpens = Sound("modernDoorOpens")
    val barsDoorOpens = Sound("barsDoorOpens")
    val daveDoorOpens = Sound("daveDoorOpens")
    val autoDoorOpens = Sound("autoDoorOpens")
    val modernDoorCloses = Sound("modernDoorCloses")
    val barsDoorCloses = Sound("barsDoorCloses")
    val daveDoorCloses = Sound("daveDoorCloses")
    val autoDoorCloses = Sound("autoDoorCloses")
    val poof = Sound("poof")
    val ferrousGolem = Sound("ferrousGolem", false)
    val inWeb = Sound("inWeb")
    val leap = Sound("leap")
    val phylacteryOfResurrection = Sound("phylacteryOfResurrection")
    val retributiveShieldProjection = Sound("retributiveShieldProjection")
    val bashingCrate = Sound("bashingCrate")

    /**
     * Attack sounds
     */
    val bullet = Sound("bullet", TileDistance(25))
    val laser = Sound("laser")
    val laserMeleeAttack = Sound("laserMeleeAttack")
    val laserCell = Sound("laserCell")
    val web = Sound("web")
    val fireballWhoosh = Sound("fireballWhoosh", TileDistance(20))
    val electricity = Sound("electricity")
    val deathRay = Sound("deathRay")
    val vortexBeam = Sound("vortexBeam", TileDistance(20))
    val grunt = Sound("grunt")
}